MsWrdTextInternal::Page Struct Reference

Internal: the page. More...

## Public Member Functions

| Page ()
| constructor

## Public Attributes

int | m_id
| the identificator
int | m_type
| the type
int | m_page
| the page number
int | m_paragraphId
| the paragraph id
int | m_values [4]
| some values ( 0, -1, 0, small number )
std::string | m_error
| the errors

## Friends

std::ostream & | operator<< (std::ostream &o, Page const &page)
| operator<<

## Detailed Description

Internal: the page.

## Constructor & Destructor Documentation

## Page()

MsWrdTextInternal::Page::Page | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Page const & | page )

friend

operator<<

## Member Data Documentation

## m_error

std::string MsWrdTextInternal::Page::m_error

the errors

Referenced by operator<<, and Page().

## m_id

int MsWrdTextInternal::Page::m_id

the identificator

Referenced by operator<<, Page(), and MsWrdText::readPageBreak().

## m_page

int MsWrdTextInternal::Page::m_page

the page number

Referenced by operator<<, Page(), and MsWrdText::readPageBreak().

## m_paragraphId

int MsWrdTextInternal::Page::m_paragraphId

the paragraph id

Referenced by operator<<, and Page().

## m_type

int MsWrdTextInternal::Page::m_type

the type

Referenced by operator<<, Page(), and MsWrdText::readPageBreak().

## m_values

int MsWrdTextInternal::Page::m_values[4]

some values ( 0, -1, 0, small number )

Referenced by operator<<, Page(), and MsWrdText::readPageBreak().

The documentation for this struct was generated from the following file:

- MsWrdText.cxx